Index: c/src/exec/score/cpu/powerpc/ChangeLog
===================================================================
--- c/src/exec/score/cpu/powerpc/ChangeLog	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ c/src/exec/score/cpu/powerpc/ChangeLog	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -1,2 +1,9 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* rtems/score/ppctypes.h: Removed.
+	* rtems/score/types.h: New file via CVS magic.
+	* Makefile.am, rtems/score/cpu.h: Account for name change.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/exec/score/cpu/powerpc/Makefile.am
===================================================================
--- c/src/exec/score/cpu/powerpc/Makefile.am	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ c/src/exec/score/cpu/powerpc/Makefile.am	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -26,5 +26,5 @@
 
 include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS = rtems/score/ppc.h rtems/score/ppctypes.h
+include_rtems_score_HEADERS = rtems/score/ppc.h rtems/score/types.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
     $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h)
Index: c/src/exec/score/cpu/powerpc/rtems/score/ppc.h
===================================================================
--- c/src/exec/score/cpu/powerpc/rtems/score/ppc.h	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ c/src/exec/score/cpu/powerpc/rtems/score/ppc.h	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -47,5 +47,5 @@
 #endif
 
-#include <rtems/score/ppctypes.h>
+#include <rtems/score/types.h>
 
 /*
Index: src/exec/score/cpu/powerpc/rtems/score/ppctypes.h
===================================================================
--- c/src/exec/score/cpu/powerpc/rtems/score/ppctypes.h	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ 	(revision )
@@ -1,72 +1,0 @@
-/*  ppctypes.h
- *
- *  This include file contains type definitions pertaining to the PowerPC
- *  processor family.
- *
- *  Author:	Andrew Bray <andy@i-cubed.co.uk>
- *
- *  COPYRIGHT (c) 1995 by i-cubed ltd.
- *
- *  To anyone who acknowledges that this file is provided "AS IS"
- *  without any express or implied warranty:
- *      permission to use, copy, modify, and distribute this file
- *      for any purpose is hereby granted without fee, provided that
- *      the above copyright notice and this notice appears in all
- *      copies, and that the name of i-cubed limited not be used in
- *      advertising or publicity pertaining to distribution of the
- *      software without specific, written prior permission.
- *      i-cubed limited makes no representations about the suitability
- *      of this software for any purpose.
- *
- *  Derived from c/src/exec/cpu/no_cpu/no_cputypes.h:
- *
- *  COPYRIGHT (c) 1989-1997.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may in
- *  the file LICENSE in this distribution or at
- *  http://www.OARcorp.com/rtems/license.html.
- *
- *  $Id$
- */
-
-#ifndef __PPC_TYPES_h
-#define __PPC_TYPES_h
-
-#ifndef ASM
-
-#ifdef __cplusplus
-extern "C" {
-#endif
-
-/*
- *  This section defines the basic types for this processor.
- */
-
-typedef unsigned char  unsigned8;      /* unsigned 8-bit  integer */
-typedef unsigned short unsigned16;     /* unsigned 16-bit integer */
-typedef unsigned int   unsigned32;     /* unsigned 32-bit integer */
-typedef unsigned long long unsigned64; /* unsigned 64-bit integer */
-
-typedef unsigned32     Priority_Bit_map_control;
-
-typedef signed char      signed8;      /* 8-bit  signed integer */
-typedef signed short     signed16;     /* 16-bit signed integer */
-typedef signed int       signed32;     /* 32-bit signed integer */
-typedef signed long long signed64;     /* 64 bit signed integer */
-
-typedef unsigned32 boolean;     /* Boolean value   */
-
-typedef float          single_precision;     /* single precision float */
-typedef double         double_precision;     /* double precision float */
-
-typedef void ppc_isr;
-
-#ifdef __cplusplus
-}
-#endif
-
-#endif  /* !ASM */
-
-#endif
-/* end of include file */
Index: c/src/exec/score/cpu/powerpc/rtems/score/types.h
===================================================================
--- c/src/exec/score/cpu/powerpc/rtems/score/types.h	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ c/src/exec/score/cpu/powerpc/rtems/score/types.h	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -1,3 +1,3 @@
-/*  ppctypes.h
+/*  types.h
  *
  *  This include file contains type definitions pertaining to the PowerPC
Index: cpukit/score/cpu/powerpc/ChangeLog
===================================================================
--- cpukit/score/cpu/powerpc/ChangeLog	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ cpukit/score/cpu/powerpc/ChangeLog	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -1,2 +1,9 @@
+2001-04-03	Joel Sherrill <joel@OARcorp.com>
+
+	* Per PR94, all rtems/score/CPUtypes.h are named rtems/score/types.h.
+	* rtems/score/ppctypes.h: Removed.
+	* rtems/score/types.h: New file via CVS magic.
+	* Makefile.am, rtems/score/cpu.h: Account for name change.
+
 2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/cpu/powerpc/Makefile.am
===================================================================
--- cpukit/score/cpu/powerpc/Makefile.am	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ cpukit/score/cpu/powerpc/Makefile.am	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -26,5 +26,5 @@
 
 include_rtems_scoredir = $(includedir)/rtems/score
-include_rtems_score_HEADERS = rtems/score/ppc.h rtems/score/ppctypes.h
+include_rtems_score_HEADERS = rtems/score/ppc.h rtems/score/types.h
 PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
     $(include_rtems_score_HEADERS:%.h=$(PROJECT_INCLUDE)/%.h)
Index: cpukit/score/cpu/powerpc/rtems/score/ppc.h
===================================================================
--- cpukit/score/cpu/powerpc/rtems/score/ppc.h	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ cpukit/score/cpu/powerpc/rtems/score/ppc.h	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -47,5 +47,5 @@
 #endif
 
-#include <rtems/score/ppctypes.h>
+#include <rtems/score/types.h>
 
 /*
Index: cpukit/score/cpu/powerpc/rtems/score/types.h
===================================================================
--- cpukit/score/cpu/powerpc/rtems/score/types.h	(revision 6e8a1652a004633162b2d9c3cf0b503c7ae8af0b)
+++ cpukit/score/cpu/powerpc/rtems/score/types.h	(revision 6f53a921a86ad3bacf6850cb3d07b0a651e87729)
@@ -1,3 +1,3 @@
-/*  ppctypes.h
+/*  types.h
  *
  *  This include file contains type definitions pertaining to the PowerPC
